package com.dsic.gj_erp.bean.jhgk;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author xn
 * @since 2023-09-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="DmTzjh对象", description="")
//@Entity
@TableName("dm_tzjh")
public class DmTzjh implements Serializable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "批量")
    @TableField("DC_PL")
    private String dcPl;

    @ApiModelProperty(value = "图名")
    @TableField("DC_FD")
    private String dcFd;

    @ApiModelProperty(value = "船名")
    @TableField("DC_CH")
    private String dcCh;

    @ApiModelProperty(value = "套料图下发")
    private String xfqTlt;

    @ApiModelProperty(value = "套料图接收")
    private String jsqTlt;

    @ApiModelProperty(value = "板材领取表下发")
    private String xfqLqb;

    @ApiModelProperty(value = "板材领取表接收")
    private String jsqLqb;

    @ApiModelProperty(value = "零件配套表下发")
    private String xfqPtb;

    @ApiModelProperty(value = "零件配套表接收")
    private String jsqPtb;

    @ApiModelProperty(value = "状态；0未审核1已审核；默认为0；")
    private String zt;

//    @Id
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    private String id;


}
